{% extends 'index.html' %}
{% load static %}

{% block title %}Пользователи {{user_count}}{% endblock title %}
{% block body %}
  {{ block.super }}
  <div class="right-bar">
    <div class="right-bar__overlay"></div>
    <div class="right-bar__box">
      <div class="right-bar__scroll">
        <div class="right-bar__content">
          <div id="filter" class="filter">
            <form class="form form_filter">
              <div class="fieldset fieldset_filter">
                <div class="fieldset__item field">
                  <label class="label label_default label_s">филиал</label>
                  <div class="control control_default control_m">
                    <select v-select2="filials__id" v-model="filials__id">
                      <option disabled="disabled" selected="selected"></option>
                      <option v-for="f in filials" :value="f.id" :selected="f.id == filials__id">${ f.name }</option>
                    </select>
                  </div>
                </div>
                <div class="fieldset__item field">
                  <label class="label label_default label_s">роль</label>
                  <div class="control control_default control_m">
                    <select v-select2="groups__name" v-model="groups__name">
                      <option disabled="disabled" selected="selected"></option>
                      <option v-for="g in groups" :value="g.name" :selected="g.name == groups__name">${ g.name }</option>
                    </select>
                  </div>
                </div>
                <div class="fieldset__item field">
                  <label class="label label_default label_s">класс эксперта</label>
                  <div class="control control_default control_m">
                    <select v-select2="expert_level" v-model="expert_level">
                      <option disabled="disabled" selected="selected"></option>
                      <option v-for="l in expert_levels" :value="s[0]" :selected="l == expert_level">${ s[1] }</option>
                    </select>
                  </div>
                </div>
                <div class="fieldset__item">
                  <button class="form__btn btn btn_default btn_s btn_block">
                    <div class="btn__grid">
                      <div class="btn__title">Сбросить фильтр</div>
                    </div>
                  </button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
{% endblock %}

{% block page %}
  <div id="users" class="users" v-cloak>
     <div class="section section_default">
       <div class="section__content">
         <div class="section__header header header_listing">
           <div class="header__main">
             <h1>Пользователи<span class="section__count">${ count }</span></h1>
           </div>
           <div class="header__controls">
             <div class="field">
               <div class="control control_default control_m">
                 <input v-model="searchQueryGlobal" class="global_search" v-on:keyup.enter="handleGlobalSearchQuery" type="text">
                 <div v-on:click="handleGlobalSearchQuery" class="control__icon control__icon--button icon icon_24 icon_default ">
                   <svg>
                     <use xlink:href="#icon_search_24"></use>
                   </svg>
                 </div>
               </div>
             </div>
             <div class="header__right-bar-toggle right-bar-toggle btn btn_m btn_white btn_square">
               <div class="btn__icon icon icon_24">
                 <svg>
                   <use xlink:href="#icon_filter_24"></use>
                 </svg>
               </div>
               <div v-show="filterCount > 0" class="btn__count">${ filterCount }</div>
             </div>
           </div>
         </div>
         <div class="section__body" v-cloak>
           {% include 'user/users.html' %}
           {% include 'paginator.html' %}
         </div>
       </div>
     </div>
   </div>
{% endblock %}

{% block script %}
  {{ block.super }}
  <script>
    var store = {
      state: {
        filter: '',
        filterCount: 0
      }
    }

  </script>
  <script src="{% static 'js/userlist.bundle.js' %}"></script>
  <script src="{% static 'js/userfilter.bundle.js' %}"></script>
{% endblock %}

